import typer
import subprocess
from pathlib import Path
import shlex
import json

config_path = "config.json"
with open(config_path) as f:
    config = json.load(f)
WORKDIR = Path(config["workdir"])
RPORT = config["port"]

app = typer.Typer(help="syncs your files with configured remote")

@app.command("gmi")
def sync_gmi():
    print("Synchronising GMI content with remote...")
    LGMI = WORKDIR / "content"
    RGMI = config["rem_gmi"]
    subprocess.call(
        shlex.split(f'rsync -aP -e "ssh -p {RPORT}" {LGMI} {RGMI}')
    )
    print("Done!")

@app.command("html")
def sync_html():
    print("Synchronising HTML content with remote...")
    LHTML = WORKDIR / config["dir_o_html"]
    RHTML = config["rem_html"]
    subprocess.call(
        shlex.split(f'rsync -aP -e "ssh -p {RPORT}" {LHTML} {RHTML}')
    )
    print("Done!")
